/**********************************************************************\
**
**                              Copyright (c) by
**                          HENGSTLER GmbH, Aldingen
**
**      This  software  is furnished under a licence and may be used and
**      copied only in accordance with the terms  of  such  licence  and
**      with the inclusion of the above copyright notice.  This software
**      or any other copies thereof may not  be  provided  or  otherwise
**      made  available  to any other person.  No title to and ownership
**      of the software is hereby transferred.
**
**      The  information  in  this software is subject to change without
**      notice and should not be construed as a commitment by Hengstler.
**
**  Module:      C56SdkDemo10.cpp
**  Facility:    S684002 - Hengstler C56 Printer Driver for Windows XP/7/8/10
**  Component:   C56 SDK Demo Application 10 (C56SdkDemo10)
**  Environment: Windows XP/7/8/10
**  Compiler:    Microsoft Visual Studio 2015
**  Abstract:    Defines class handling of the application
**  Notes:       -
**
\**********************************************************************/

/*
** INCLUDES
*/

#include "stdafx.h"

#include "C56SdkDemo10.h"
#include "C56SdkDemo10DlgMain.h"

/*
** COMPILER
*/

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

/*
** MESSAGE MAP
*/

BEGIN_MESSAGE_MAP(CC56SdkDemo10App, CWinApp)
   ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

/*
** VARIABLES
*/

CC56SdkDemo10App theApp; // The only CC56SdkDemo10App application

//******************************************************************************************
// METHOD:   CC56SdkDemo10App::CC56SdkDemo10App
// ABSTRACT: Object constructor
//******************************************************************************************

CC56SdkDemo10App::CC56SdkDemo10App()
{
    //-- Nothing to do
}

//******************************************************************************************
// METHOD:   CC56SdkDemo10App::InitInstance
// ABSTRACT: Object initialization
//******************************************************************************************

BOOL CC56SdkDemo10App::InitInstance
   ( )
{
   //-- Initialize this application
   CWinApp::InitInstance();

   //-- Create C56 SDK Demo 10 dialog
   CC56SdkDemo10DlgMain dlgC56SdkDemo10DlgMain;

   //-- Set application main window to this dialog
   m_pMainWnd = &dlgC56SdkDemo10DlgMain;

   //-- Do C56 SDK Demo 10 dialog as modal dialog
   dlgC56SdkDemo10DlgMain.DoModal();

   //-- Inform about initialization being successufll 
   return FALSE;
}
